document.addEventListener('DOMContentLoaded', function() {
    fetch('123.txt')
        .then(response => response.text())
        .then(data => {
            const links = data.split('\n').filter(link => link.trim() !== '');
            const randomLink = links[Math.floor(Math.random() * links.length)];
            const videoPlayer = document.getElementById('videoPlayer');
            videoPlayer.src = randomLink;
        })
        .catch(error => console.error('Error fetching the video links:', error));
});
